package com.ibiz.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.client.model.Ihealthcheck;
import com.ibiz.util.SearchContext;

/**
 * 实体[healthcheck] 服务对象接口
 */
public interface IhealthcheckClientService{

    public Ihealthcheck createModel() ;

    public Page<Ihealthcheck> select(SearchContext context);

    public void getDraft(Ihealthcheck healthcheck);

    public void remove(Ihealthcheck healthcheck);

    public void checkKey(Ihealthcheck healthcheck);

    public void update(Ihealthcheck healthcheck);

    public void create(Ihealthcheck healthcheck);

    public void test(Ihealthcheck healthcheck);

    public void get(Ihealthcheck healthcheck);

    public void save(Ihealthcheck healthcheck);

    public Page<Ihealthcheck> fetchDefault(SearchContext context);

}
